/*
 * proxy.h
 * Copyright (C) 1999 Patrick Alken
 *
 * $Id: proxy.h,v 1.1.1.1 2000/10/02 12:02:13 decho Exp $
 */

#ifndef INCLUDED_proxy_h
#define INCLUDED_proxy_h

#ifndef INCLUDED_defs_h
#include "defs.h"        /* HAVE_PTHREADS */
#define INCLUDED_defs_h
#endif

struct Luser;

/*
 * This is the port at which we will make the connection
 * to a possible proxy host.
 */

#define  PROXYPORT  23

#ifdef HAVE_PTHREADS

void Proxy(struct Luser *lptr);
int IsProxy(struct Luser *lptr);

#endif /* HAVE_PTHREADS */

#endif /* INCLUDED_proxy_h */
